Register a wallet as a contact
curl --request POST \
--url https://api.onchainsuite.com/api/v1/identify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"walletAddress": "0xabc123..."
}
'import requests
url = "https://api.onchainsuite.com/api/v1/identify"
payload = { "walletAddress": "0xabc123..." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({walletAddress: '0xabc123...'})
};
fetch('https://api.onchainsuite.com/api/v1/identify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.onchainsuite.com/api/v1/identify",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'walletAddress' => '0xabc123...'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.onchainsuite.com/api/v1/identify"
payload := strings.NewReader("{\n \"walletAddress\": \"0xabc123...\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.onchainsuite.com/api/v1/identify")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"walletAddress\": \"0xabc123...\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.onchainsuite.com/api/v1/identify")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"walletAddress\": \"0xabc123...\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Register a wallet as a contact
Register a wallet address as a workspace contact. Wallet addresses only: personal identifiers (email, phone, name) are rejected. Idempotent on the wallet, and the address is lower-cased. To attach an email, use a capture form instead.
POST
/
identify
Register a wallet as a contact
curl --request POST \
--url https://api.onchainsuite.com/api/v1/identify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"walletAddress": "0xabc123..."
}
'import requests
url = "https://api.onchainsuite.com/api/v1/identify"
payload = { "walletAddress": "0xabc123..." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({walletAddress: '0xabc123...'})
};
fetch('https://api.onchainsuite.com/api/v1/identify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.onchainsuite.com/api/v1/identify",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'walletAddress' => '0xabc123...'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.onchainsuite.com/api/v1/identify"
payload := strings.NewReader("{\n \"walletAddress\": \"0xabc123...\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.onchainsuite.com/api/v1/identify")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"walletAddress\": \"0xabc123...\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.onchainsuite.com/api/v1/identify")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"walletAddress\": \"0xabc123...\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}
